Skip to main content
POST
/
knowledges
/
{knowledge_id}
/
documents
지식 베이스 문서 생성
curl --request POST \
  --url https://client-api.tryvox.co/v3/knowledges/{knowledge_id}/documents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "document_type": "<string>",
  "text": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "knowledge_id": 123,
  "name": "<string>",
  "document_type": "file",
  "status": "uploading",
  "created_at": 123,
  "upload_percentage": 50,
  "token_count": 123,
  "webpage_urls": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tryvox.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

조직 API 키를 Authorization: Bearer <token> 형식으로 보냅니다.

Path Parameters

knowledge_id
integer
required

GET /v3/knowledges에서 반환되는 숫자형 public knowledge ID입니다.

Required range: x >= 1

Body

document 생성 요청입니다. textwebpage document는 JSON을 사용하고, file 업로드는 multipart form data를 사용합니다.

text 타입 document 생성 요청 (application/json).

name 은 공백 제외 1~255자. 정의되지 않은 필드를 보내면 400 (extra=forbid).

name
string
required

document 의 이름. 공백을 제외하고 1자 이상, 255자 이하.

Required string length: 1 - 255
document_type
string
required

document 타입입니다. 고정값은 text입니다.

Allowed value: "text"
text
string
required

document 본문 텍스트.

Response

성공 응답

knowledge document 요약 응답입니다.

목록 조회와 생성 응답에서 공통으로 사용합니다.

id
string<uuid>
required

knowledge document의 고유 식별자입니다.

knowledge_id
integer
required

상위 knowledge numeric public ID.

name
string
required

document 의 이름.

document_type
enum<string>
required

document 타입.

Available options:
file,
text,
webpage
status
enum<string>
required

document 처리 상태입니다. uploading에서 completed 또는 failed로 전이합니다.

Available options:
uploading,
completed,
failed
created_at
integer
required

리소스 생성 시각입니다. unix milliseconds 형식입니다.

upload_percentage
integer | null

업로드 진행률(%)입니다. statusuploading일 때만 의미가 있습니다. 집계 전에는 null입니다.

Required range: 0 <= x <= 100
token_count
integer | null

document 의 토큰 수. 처리 완료 전에는 null.

webpage_urls
string<uri>[]

webpage document일 때만 값이 있습니다. 그 외에는 null입니다.